%define repo_path %_sysconfdir/yum.repos.d

Summary: op5 support tools repo configuration.
Name: op5-support-release
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Prefix: %repo_path
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

%description
%name contains repo configuration for Customer Support maintained support tools for ITRS OP5 Monitor.

%prep
%setup -q

%build

%install
mkdir -p %buildroot/%repo_path
mkdir -p %buildroot/%_sysconfdir/pki/rpm-gpg

# Install stable repo files
install -m 664 op5-support-release.repo %buildroot/%repo_path/op5-support-release.repo
install -m 664 op5-support-release-debuginfo.repo %buildroot/%repo_path/op5-support-release-debuginfo.repo
install -m 664 op5-support-release-source.repo %buildroot/%repo_path/op5-support-release-source.repo

%files
%defattr(-, root, root)
%config %repo_path/op5-support-release.repo
%config %repo_path/op5-support-release-debuginfo.repo
%config %repo_path/op5-support-release-source.repo

%clean
rm -rf %buildroot

%changelog
* Mon Oct 18 2021 Daniel Nilsson <dnilsson@itrsgroup.com>
- Initial creation
